import platform

from lib_create_env import lib_generate_install_methods, install_pylucene, install_psycopg2

system_str = platform.system()

if system_str == 'Windows':
    INSTALLS = [
    ('PSYCOPG2',install_psycopg2,None,None),
    ]
else:
    INSTALLS = [
    ('PSYCOPG2', 'pip', None, None),
    ]

if system_str == 'Linux':
    INSTALLS.extend([
    ('DISTRIBUTE', 'pip', None, None),
    ])

INSTALLS.extend([ #(key,method, option_str, dict_extra_env)
    ('SQLALCHEMY', 'pip', None, None),
    ('WERKZEUG', 'pip', None, None),
    ('JINJA2', 'pip', None, None),
    ('FLASK', 'pip', None, None),
    ('FLASK-CACHE', 'pip', None, None),
    ('FLASK-SQLALCHEMY', 'pip', None, None),
    ('SIMPLEJSON', 'pip', None, None),
    ('ANYJSON', 'pip', None, None),
    ('PYTZ', 'pip', None, None),
    ('RFC3339', 'pip', None, None),
    ('IRI_TWEET', 'pip', None, None),
])


def generate_install_methods(path_locations, src_base, Logger, call_subprocess):    
    return lib_generate_install_methods(path_locations, src_base, Logger, call_subprocess, INSTALLS)
